import React from 'react';

import Person from './person.jsx';

/*
* props.persons is an Array, here we assume with at least two elements
* note, in second use of Person, the use of spread operator "..." on object to alleviate the syntax, possible when object field names correspond to props name
*/
const PersonListing =
         ({ persons , children }) => <div>
                     Listing :
                     <Person { ...persons[0] } />
                     <Person { ...persons[1] } />
                     { children }
                  </div>

export default PersonListing;
